SDL_SetRenderDrawColor(3)

NAME
SDL_SetRenderDrawColor - Set the color used for drawing operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetRenderDrawColor(SDL_Renderer *renderer, Uint8 r, Uint8 g, Uint8 b, Uint8 a);

DESCRIPTION
Set the color for drawing or filling rectangles, lines, and points, and for SDL_RenderClear().

FUNCTION PARAMETERS

renderer
    the rendering context.

r   the red value used to draw on the rendering target.

g   the green value used to draw on the rendering target.

b   the blue value used to draw on the rendering target.

a   the alpha value used to draw on the rendering target; usually SDL_ALPHA_OPAQUE (255). Use SDL_SetRenderDrawBlendMode to specify how the alpha channel is used.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderDrawColor(3), SDL_SetRenderDrawColorFloat(3)